Problems starting grass 7.4.1 in ubuntu

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Problems starting grass 7.4.1 in ubuntu

Sebastián Dietrich
Hi everyone, when i try to launch g.gui i get the following message:

GRASS 7.4.1 (EPSG5344):~/Documentos/grassdata > g.gui
Lanzando GUI <wxpython> en el fondo, por favor espere...
Traceback (most recent call last):
  File "/usr/lib/grass74/gui/wxpython/wxgui.py", line 25, in <module>
    from core import globalvar
  File "/usr/lib/grass74/gui/wxpython/core/globalvar.py", line 39, in <module>
    'locale')).ugettext
AttributeError: 'GNUTranslations' object has no attribute 'ugettext'
[MÁSCARA ráster presente]
GRASS 7.4.1 (EPSG5344):~/Documentos/grassdata >

Can someone help with this issue?

Many thanks in advance.

Seba.



_______________________________________________
grass-user mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/grass-user
Reply | Threaded
Open this post in threaded view
|

Re: Problems starting grass 7.4.1 in ubuntu

Markus Neteler
Hi Sebastián,

On Mon, Aug 5, 2019 at 5:34 PM Sebastián Dietrich
<[hidden email]> wrote:

>
> Hi everyone, when i try to launch g.gui i get the following message:
>
> GRASS 7.4.1 (EPSG5344):~/Documentos/grassdata > g.gui
> Lanzando GUI <wxpython> en el fondo, por favor espere...
> Traceback (most recent call last):
>   File "/usr/lib/grass74/gui/wxpython/wxgui.py", line 25, in <module>
>     from core import globalvar
>   File "/usr/lib/grass74/gui/wxpython/core/globalvar.py", line 39, in <module>
>     'locale')).ugettext
> AttributeError: 'GNUTranslations' object has no attribute 'ugettext'
> [MÁSCARA ráster presente]
> GRASS 7.4.1 (EPSG5344):~/Documentos/grassdata >
>
> Can someone help with this issue?

Do you have the "gettext" package installed?

Best
Markus

--
Markus Neteler, PhD
https://www.mundialis.de - free data with free software
https://grass.osgeo.org
https://courses.neteler.org/blog
_______________________________________________
grass-user mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/grass-user
Reply | Threaded
Open this post in threaded view
|

Re: Problems starting grass 7.4.1 in ubuntu

Sebastián Dietrich
Yes Markus, version 1.19.81 is installed.

On Mon, Aug 5, 2019 at 1:36 PM Markus Neteler <[hidden email]> wrote:
Hi Sebastián,

On Mon, Aug 5, 2019 at 5:34 PM Sebastián Dietrich
<[hidden email]> wrote:
>
> Hi everyone, when i try to launch g.gui i get the following message:
>
> GRASS 7.4.1 (EPSG5344):~/Documentos/grassdata > g.gui
> Lanzando GUI <wxpython> en el fondo, por favor espere...
> Traceback (most recent call last):
>   File "/usr/lib/grass74/gui/wxpython/wxgui.py", line 25, in <module>
>     from core import globalvar
>   File "/usr/lib/grass74/gui/wxpython/core/globalvar.py", line 39, in <module>
>     'locale')).ugettext
> AttributeError: 'GNUTranslations' object has no attribute 'ugettext'
> [MÁSCARA ráster presente]
> GRASS 7.4.1 (EPSG5344):~/Documentos/grassdata >
>
> Can someone help with this issue?

Do you have the "gettext" package installed?

Best
Markus

--
Markus Neteler, PhD
https://www.mundialis.de - free data with free software
https://grass.osgeo.org
https://courses.neteler.org/blog

_______________________________________________
grass-user mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/grass-user
Reply | Threaded
Open this post in threaded view
|

Re: Problems starting grass 7.4.1 in ubuntu

Markus Metz-3
In reply to this post by Sebastián Dietrich


On Mon, Aug 5, 2019 at 5:35 PM Sebastián Dietrich <[hidden email]> wrote:

>
> Hi everyone, when i try to launch g.gui i get the following message:
>
> GRASS 7.4.1 (EPSG5344):~/Documentos/grassdata > g.gui
> Lanzando GUI <wxpython> en el fondo, por favor espere...
> Traceback (most recent call last):
>   File "/usr/lib/grass74/gui/wxpython/wxgui.py", line 25, in <module>
>     from core import globalvar
>   File "/usr/lib/grass74/gui/wxpython/core/globalvar.py", line 39, in <module>
>     'locale')).ugettext
> AttributeError: 'GNUTranslations' object has no attribute 'ugettext'
> [MÁSCARA ráster presente]
> GRASS 7.4.1 (EPSG5344):~/Documentos/grassdata >
>
> Can someone help with this issue?

GNUTranslations has an attribute ugettext only in Python2, not in Python3. Make sure that the link "python" points to "python2", test with "python --version"

Markus M


_______________________________________________
grass-user mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/grass-user
Reply | Threaded
Open this post in threaded view
|

Re: Problems starting grass 7.4.1 in ubuntu

Sebastián Dietrich
Markus, thanks! You're right, i have python 3.7.1. Unfortunately, i've no idea how to get that the link "python" points "python2"
Thanks!

On Mon, Aug 5, 2019 at 5:32 PM Markus Metz <[hidden email]> wrote:


On Mon, Aug 5, 2019 at 5:35 PM Sebastián Dietrich <[hidden email]> wrote:

>
> Hi everyone, when i try to launch g.gui i get the following message:
>
> GRASS 7.4.1 (EPSG5344):~/Documentos/grassdata > g.gui
> Lanzando GUI <wxpython> en el fondo, por favor espere...
> Traceback (most recent call last):
>   File "/usr/lib/grass74/gui/wxpython/wxgui.py", line 25, in <module>
>     from core import globalvar
>   File "/usr/lib/grass74/gui/wxpython/core/globalvar.py", line 39, in <module>
>     'locale')).ugettext
> AttributeError: 'GNUTranslations' object has no attribute 'ugettext'
> [MÁSCARA ráster presente]
> GRASS 7.4.1 (EPSG5344):~/Documentos/grassdata >
>
> Can someone help with this issue?

GNUTranslations has an attribute ugettext only in Python2, not in Python3. Make sure that the link "python" points to "python2", test with "python --version"

Markus M


_______________________________________________
grass-user mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/grass-user
Reply | Threaded
Open this post in threaded view
|

Re: Problems starting grass 7.4.1 in ubuntu

Markus Neteler
On Tue, Aug 6, 2019 at 7:13 PM Sebastián Dietrich
<[hidden email]> wrote:
>
> Markus, thanks! You're right, i have python 3.7.1. Unfortunately, i've no idea how to get that the link "python" points "python2"
> Thanks!

Maybe you solved it meanwhile but you need to install also Python 2 on
your system and then make it the default.

However, better upgrade to GRASS GIS 7.8.0 with Python 3 support.

markusN
_______________________________________________
grass-user mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/grass-user